Pools
Pools
Pools
Returns a paginated list of pools
GET
Pools
Documentation Index
Fetch the complete documentation index at: https://docs.meteora.ag/llms.txt
Use this file to discover all available pages before exploring further.
Query Parameters
Page number (1-based)
Required range:
x >= 1Number of pools to return per page. Max 1000
Required range:
1 <= x <= 1000Search query used to match pools by name, tokens, or address
Sort results by one or more fields
Format:
-
Time-windowed metrics:
<metric>_<window>:<direction> -
Non-windowed metrics:
<field>:<direction> -
direction:ascordesc -
window(when applicable):5m30m1h2h4h12h24h
Available fields:
- Time-windowed metrics:
volume_*fee_*fee_tvl_ratio_*apr_* - Non-windowed metrics:
tvlfee_pctbin_steppool_created_atfarm_apy
Default: volume_24h:desc
Examples:
volume_24h:descfee_1h:asctvl:desc
Conditions to filter documents by field values
Format: <expr> [&& <expr> ...]
Where each expression is: <field><op><value>
Allowed fields:
- Numeric:
tvlvolume_*fee_*fee_tvl_ratio_*apr_* - Boolean:
is_blacklisted - Text:
pool_addressnametoken_xtoken_y
Operators:
- Numeric:
=>>=<<= - Boolean:
=true=false - Text:
- exact match:
=<value> - multi-value OR:
=[value1|value2|...]
- exact match:
Notes:
- Multiple expressions are combined using logical AND (
&&) - Whitespace around operators is ignored
Examples:
tvl>1000is_blacklisted=false && volume_24h>=50000

